summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Edinaldo P. Silva <edps.mundognu@gmail.com>2016-07-26 07:54:47 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-07-30 06:03:33 +0700
commit1a2acc95def0f281f42e4796bd8b0720ef5aa2a4 (patch)
tree4664ad121c40f24c8822a7a2a54cf512abc3d32c /system
parentf0c8f93de98ede3482ea5d34a8991ecd9a5410cd (diff)
downloadslackbuilds-1a2acc95def0f281f42e4796bd8b0720ef5aa2a4.tar.gz
slackbuilds-1a2acc95def0f281f42e4796bd8b0720ef5aa2a4.tar.xz
system/cpuinfo2cpuflags: Added (CPU Flags detector).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/cpuinfo2cpuflags/README9
-rw-r--r--system/cpuinfo2cpuflags/cpuinfo2cpuflags.SlackBuild102
-rw-r--r--system/cpuinfo2cpuflags/cpuinfo2cpuflags.info10
-rw-r--r--system/cpuinfo2cpuflags/slack-desc19
4 files changed, 140 insertions, 0 deletions
diff --git a/system/cpuinfo2cpuflags/README b/system/cpuinfo2cpuflags/README
new file mode 100644
index 0000000000..1b0d12c68a
--- /dev/null
+++ b/system/cpuinfo2cpuflags/README
@@ -0,0 +1,9 @@
+cpuinfo2cpuflags (guess CPU_FLAGS_X86 flags for the host)
+
+cpuinfo2cpuflags is a tool to guess CPU_FLAGS_X86 flags for the host.
+
+Call the cpuid instruction to obtain the supported CPU feature bits
+instead of reading the preprocessed values from Linux-specific
+/proc/cpuinfo. This increases portability across systems and accuracy of
+information -- supported instructions depend on the version of the
+program rather than the Linux kernel.
diff --git a/system/cpuinfo2cpuflags/cpuinfo2cpuflags.SlackBuild b/system/cpuinfo2cpuflags/cpuinfo2cpuflags.SlackBuild
new file mode 100644
index 0000000000..1a4ee02023
--- /dev/null
+++ b/system/cpuinfo2cpuflags/cpuinfo2cpuflags.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+#
+# Slackware build script for cpuinfo2cpuflags.
+#
+# Copyright 2015 Edinaldo P. Silva, Rio de Janeiro, Brazil.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=cpuinfo2cpuflags
+VERSION=${VERSION:-2.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+SRCVER="2"
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$SRCVER.tar.bz2
+mv $PRGNAM-$SRCVER $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+DOCS="COPYING NEWS README"
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/cpuinfo2cpuflags/cpuinfo2cpuflags.info b/system/cpuinfo2cpuflags/cpuinfo2cpuflags.info
new file mode 100644
index 0000000000..6ece7ce2f2
--- /dev/null
+++ b/system/cpuinfo2cpuflags/cpuinfo2cpuflags.info
@@ -0,0 +1,10 @@
+PRGNAM="cpuinfo2cpuflags"
+VERSION="2.0"
+HOMEPAGE="https://github.com/mgorny/cpuid2cpuflags"
+DOWNLOAD="https://github.com/mgorny/cpuid2cpuflags/releases/download/v2/cpuinfo2cpuflags-2.tar.bz2"
+MD5SUM="235b74cc0327e5c6c1a02c0eeb62cb4b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"
diff --git a/system/cpuinfo2cpuflags/slack-desc b/system/cpuinfo2cpuflags/slack-desc
new file mode 100644
index 0000000000..8e602b54fe
--- /dev/null
+++ b/system/cpuinfo2cpuflags/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+cpuinfo2cpuflags: cpuinfo2cpuflags (guess CPU_FLAGS_X86 flags for the host)
+cpuinfo2cpuflags:
+cpuinfo2cpuflags: cpuinfo2cpuflags is a tool to guess CPU_FLAGS_X86 flags for the host.
+cpuinfo2cpuflags:
+cpuinfo2cpuflags: Home page: https://github.com/mgorny/cpuid2cpuflags
+cpuinfo2cpuflags:
+cpuinfo2cpuflags:
+cpuinfo2cpuflags:
+cpuinfo2cpuflags:
+cpuinfo2cpuflags:
+cpuinfo2cpuflags: